/* MORGAN: Copyright 1991-2005: Univ. of Washington. All rights reserved. */
/* You may copy, use, modify, but NOT redistribute, modified or otherwise.*/
/* See: http://www.stat.washington.edu/thompson/Genepi/license.shtml      */

int not_impl (void)
{
   chk_stat ();
   return err_typ;
}

int allow_pedsiz (void)                 /* allow pedigree size statement      */
{
   if (chk_stat ())
   {
      chk_repeat ();
      allw_pedsiz = j_par[0];
      if (pmx->max_ped && allw_pedsiz > pmx->max_ped)
      {
         if (UNIVAR)
            err_typ = ERR_ALU;
         else
            err_typ = ERR_ALP;
         sprintf (errnumb, "%d", pmx->max_ped);
         err_txt = errnumb;
      }
   }
   return err_typ;
}

int allow_cmpsiz (void)                 /* allow component size statement     */
{
   if (chk_stat ())
   {
      chk_repeat ();
      allw_cmpsiz = j_par[0];
      if (pmx->max_cmp && allw_cmpsiz > pmx->max_cmp)
      {
         err_typ = ERR_ALC;
         sprintf (errnumb, "%d", pmx->max_cmp);
         err_txt = errnumb;
      }
   }
   return err_typ;
}

int allow_obsiz (void)                  /* allow observed individuals         */
{
   if (chk_stat ())
   {
      chk_repeat ();
      allw_obsiz = j_par[0];
      if (pmx->max_obs && allw_obsiz > pmx->max_obs)
      {
         err_typ = ERR_ALO;
         sprintf (errnumb, "%d", pmx->max_obs);
         err_txt = errnumb;
      }
   }
   return err_typ;
}

int assum_all_obs (void)                /* assume all observed                */
{
   if (chk_stat ())
   {
      chk_repeat ();
      ObsOp = ALL;
   }
   return err_typ;
}

int assign_gend (void)                  /* assign gender                      */
{
   if (chk_stat ())
   {
      chk_repeat ();
      if (SexOp == IGNORE_M)
         err_typ = ERR_ASG;
      SexOp = ASSIGN;
   }
   return err_typ;
}
