/* MORGAN: Copyright 1991-2005: Univ. of Washington. All rights reserved. */
/* You may copy, use, modify, but NOT redistribute, modified or otherwise.*/
/* See: http://www.stat.washington.edu/thompson/Genepi/license.shtml      */

#include "stuff.h"

void free_marek (void)
{
   int   sx;

   if (Marek)
   {
      for (sx = FEM; sx <= MAL; ++sx)
         free (Marek[sx]);
      free (Marek);
      Marek = NULL;
   }

   if (MarkPos)
   {
      for (sx = FEM; sx <= MAL; ++sx)
         free (MarkPos[sx]);
      free (MarkPos);
      MarkPos = NULL;
   }

   if (RecVal)
   {
      for (sx = FEM; sx <= MAL; ++sx)
         free (RecVal[sx]);
      free (RecVal);
      RecVal = NULL;
   }

   free_1d ((void *) &IntVal);
   free_1d ((void *) &NTPosInt);
   free_1d ((void *) &LocPos);

   free_1d ((void *) &MarSel);
   free_1d ((void *) &MarLod);
   free_1d ((void *) &MarOut);
   free_1d ((void *) &Mdist);

   return;
}
