/* MORGAN: Copyright 1991-2005: Univ. of Washington. All rights reserved. */
/* You may copy, use, modify, but NOT redistribute, modified or otherwise.*/
/* See: http://www.stat.washington.edu/thompson/Genepi/license.shtml      */
#include "stuff.h"

void initMorgProg (char **argv)
{

/* Initialize the name_format variable used by read_name to read in a name    */
/* from the peeling sequence input file.  The name_format variable is being   */
/* used so that the maximum name length is not hard coded in the read_name    */
/* subroutine.  Instead the MAXNAMLEN parameter variable is used here.        */

   sprintf (name_format, "%s", "%");
   sprintf (name_format + 1, "%d", MAXNAMLEN - 1);
   sprintf (name_format + strlen (name_format), "%s", "s");

/* Initialize an exit procedure.  Then print the output header.               */

   atexit (print_tail);
   print_head (*argv);

   return;
}
